Package de.pangaea.metadataportal.processor

## Class MinimalTransportClient

- java.lang.Object
- - org.elasticsearch.common.component.AbstractComponent
  - - org.elasticsearch.client.support.AbstractClient
    - - org.elasticsearch.client.transport.TransportClient
      - - de.pangaea.metadataportal.processor.MinimalTransportClient

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `org.elasticsearch.client.Client`, `org.elasticsearch.client.ElasticsearchClient`, `org.elasticsearch.common.lease.Releasable`

      public class MinimalTransportClient
      extends org.elasticsearch.client.transport.TransportClient

  This is a minimalistic `TransportClient` using Netty 4 only.

  Pretty exact copy of `PreBuiltTransportClient` but only with Netty 4 plugin dependency. `PreBuiltTransportClient` expects both Netty 3 and Netty 4 to be present.

  See Also:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.elasticsearch.client.transport.TransportClient

      `org.elasticsearch.client.transport.TransportClient.HostFailureListener`

  - ### Field Summary

    - ### Fields inherited from class org.elasticsearch.client.transport.TransportClient

      `CLIENT_TRANSPORT_IGNORE_CLUSTER_NAME, CLIENT_TRANSPORT_NODES_SAMPLER_INTERVAL, CLIENT_TRANSPORT_PING_TIMEOUT, CLIENT_TRANSPORT_SNIFF, CLIENT_TYPE`

    - ### Fields inherited from class org.elasticsearch.common.component.AbstractComponent

      `deprecationLogger, logger, settings`

    - ### Fields inherited from interface org.elasticsearch.client.Client

      `CLIENT_TYPE_SETTING_S`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MinimalTransportClient​(org.elasticsearch.common.settings.Settings settings, Class<? extends org.elasticsearch.plugins.Plugin>... plugins)` | Creates a new transport client with pre-installed plugins.
    `MinimalTransportClient​(org.elasticsearch.common.settings.Settings settings, Collection<Class<? extends org.elasticsearch.plugins.Plugin>> plugins)` | Creates a new transport client with pre-installed plugins.
    `MinimalTransportClient​(org.elasticsearch.common.settings.Settings settings, Collection<Class<? extends org.elasticsearch.plugins.Plugin>> plugins, org.elasticsearch.client.transport.TransportClient.HostFailureListener hostFailureListener)` | Creates a new transport client with pre-installed plugins.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |

    - ### Methods inherited from class org.elasticsearch.client.transport.TransportClient

      `addPlugins, addPlugins, addTransportAddress, addTransportAddresses, connectedNodes, doExecute, filteredNodes, listedNodes, removeTransportAddress, transportAddresses`

    - ### Methods inherited from class org.elasticsearch.client.support.AbstractClient

      `admin, bulk, bulk, clearScroll, clearScroll, delete, delete, execute, execute, explain, explain, fieldCaps, fieldCaps, fieldStats, fieldStats, filterWithHeader, get, get, index, index, multiGet, multiGet, multiSearch, multiSearch, multiTermVectors, multiTermVectors, prepareBulk, prepareClearScroll, prepareDelete, prepareDelete, prepareExecute, prepareExplain, prepareFieldCaps, prepareFieldStats, prepareGet, prepareGet, prepareIndex, prepareIndex, prepareIndex, prepareMultiGet, prepareMultiSearch, prepareMultiTermVectors, prepareSearch, prepareSearchScroll, prepareTermVector, prepareTermVector, prepareTermVectors, prepareTermVectors, prepareUpdate, prepareUpdate, search, search, searchScroll, searchScroll, settings, termVector, termVector, termVectors, termVectors, threadPool, update, update`

    - ### Methods inherited from class org.elasticsearch.common.component.AbstractComponent

      `logDeprecatedSetting, logRemovedSetting, nodeName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinimalTransportClient

          @SafeVarargs
          public MinimalTransportClient​(org.elasticsearch.common.settings.Settings settings,
                                        Class<? extends org.elasticsearch.plugins.Plugin>... plugins)

      Creates a new transport client with pre-installed plugins.
      Parameters:
        `settings` - the settings passed to this transport client
        `plugins` - an optional array of additional plugins to run with this client

    - #### MinimalTransportClient

          public MinimalTransportClient​(org.elasticsearch.common.settings.Settings settings,
                                        Collection<Class<? extends org.elasticsearch.plugins.Plugin>> plugins)

      Creates a new transport client with pre-installed plugins.
      Parameters:
        `settings` - the settings passed to this transport client
        `plugins` - a collection of additional plugins to run with this client

    - #### MinimalTransportClient

          public MinimalTransportClient​(org.elasticsearch.common.settings.Settings settings,
                                        Collection<Class<? extends org.elasticsearch.plugins.Plugin>> plugins,
                                        org.elasticsearch.client.transport.TransportClient.HostFailureListener hostFailureListener)

      Creates a new transport client with pre-installed plugins.
      Parameters:
        `settings` - the settings passed to this transport client
        `plugins` - a collection of additional plugins to run with this client
        `hostFailureListener` - a failure listener that is invoked if a node is disconnected; this can be `null`

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `org.elasticsearch.common.lease.Releasable`
      Overrides:
        `close` in class `org.elasticsearch.client.transport.TransportClient`